import request from '@/utils/request.js'

// 新增
export function addInspectRec(data) {
  return request({
    url: '/system/system/inspectRec/add',
    method: 'post',
    data: data
  })
}

// 修改
export function updateInspectRec(data) {
  return request({
    url: '/system/system/inspectRec/update',
    method: 'post',
    data: data
  })
}

// ID获取详细信息
export function queryById(query) {
  return request({
    url: '/system/system/inspectRec/detail?id=' + query.id,
    method: 'get',
    param: query
  })
}

// 获取所有启用列表及启用小类
export function queryAllEnableList() {
  return request({
    url: '/system/system/inspectProject/queryAllEnableList',
    method: 'get'
  })
}

